pcl::device::VFHEstimationImpl Struct Reference

`#include </build/pcl-qv3n_B/pcl-1.8.1+dfsg1/gpu/features/src/internal.hpp>`

## Public Member Functions

void | compute (DeviceArray< VFHSignature308 > &feature)

## Public Attributes

float3 | xyz_centroid
float3 | normal_centroid
float3 | viewpoint
Indices | indices
PointCloud | points
Normals | normals
bool | normalize_distances
bool | size_component
bool | normalize_bins

## Detailed Description

Definition at line 147 of file internal.hpp.

## Member Function Documentation

## compute()

void pcl::device::VFHEstimationImpl::compute | ( | DeviceArray< VFHSignature308 > & | feature | ) |

## Member Data Documentation

## indices

Indices pcl::device::VFHEstimationImpl::indices

Definition at line 153 of file internal.hpp.

## normal_centroid

float3 pcl::device::VFHEstimationImpl::normal_centroid

Definition at line 150 of file internal.hpp.

## normalize_bins

bool pcl::device::VFHEstimationImpl::normalize_bins

Definition at line 159 of file internal.hpp.

## normalize_distances

bool pcl::device::VFHEstimationImpl::normalize_distances

Definition at line 157 of file internal.hpp.

## normals

Normals pcl::device::VFHEstimationImpl::normals

Definition at line 155 of file internal.hpp.

## points

PointCloud pcl::device::VFHEstimationImpl::points

Definition at line 154 of file internal.hpp.

## size_component

bool pcl::device::VFHEstimationImpl::size_component

Definition at line 158 of file internal.hpp.

## viewpoint

float3 pcl::device::VFHEstimationImpl::viewpoint

Definition at line 151 of file internal.hpp.

## xyz_centroid

float3 pcl::device::VFHEstimationImpl::xyz_centroid

Definition at line 149 of file internal.hpp.

The documentation for this struct was generated from the following file:

- /build/pcl-qv3n_B/pcl-1.8.1+dfsg1/gpu/features/src/internal.hpp